org.jfree.chart.axis

## Class TickUnit

- java.lang.Object
- - org.jfree.chart.axis.TickUnit

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable
  Direct Known Subclasses:
    NumberTickUnit

      public abstract class TickUnit
      extends java.lang.Object
      implements java.lang.Comparable, java.io.Serializable

  Base class representing a tick unit. This determines the spacing of the tick marks on an axis.

  This class (and any subclasses) should be immutable, the reason being that ORDERED collections of tick units are maintained and if one instance can be changed, it may destroy the order of the collection that it belongs to. In addition, if the implementations are immutable, they can belong to multiple collections.

  See Also:
    `ValueAxis`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TickUnit(double size)` Constructs a new tick unit.
    `TickUnit(double size, int minorTickCount)` Constructs a new tick unit.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(java.lang.Object object)` Compares this tick unit to an arbitrary object.
    `boolean` | `equals(java.lang.Object obj)` Tests this unit for equality with another object.
    `int` | `getMinorTickCount()` Returns the minor tick count.
    `double` | `getSize()` Returns the size of the tick unit.
    `int` | `hashCode()` Returns a hash code for this instance.
    `java.lang.String` | `valueToString(double value)` Converts the supplied value to a string.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TickUnit

          public TickUnit(double size)

      Constructs a new tick unit.
      Parameters:
        `size` - the tick unit size.

    - #### TickUnit

          public TickUnit(double size,
                          int minorTickCount)

      Constructs a new tick unit.
      Parameters:
        `size` - the tick unit size.
        `minorTickCount` - the minor tick count.
      Since:
        1.0.7

  - ### Method Detail

    - #### getSize

          public double getSize()

      Returns the size of the tick unit.
      Returns:
        The size of the tick unit.

    - #### getMinorTickCount

          public int getMinorTickCount()

      Returns the minor tick count.
      Returns:
        The minor tick count.
      Since:
        1.0.7

    - #### valueToString

          public java.lang.String valueToString(double value)

      Converts the supplied value to a string.

      Subclasses may implement special formatting by overriding this method.

      Parameters:
        `value` - the data value.
      Returns:
        Value as string.

    - #### compareTo

          public int compareTo(java.lang.Object object)

      Compares this tick unit to an arbitrary object.
      Specified by:
        `compareTo` in interface `java.lang.Comparable`
      Parameters:
        `object` - the object to compare against.
      Returns:
        `1` if the size of the other object is less than this, `0` if both have the same size and `-1` this size is less than the others.

    - #### equals

          public boolean equals(java.lang.Object obj)

      Tests this unit for equality with another object.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `obj` - the object.
      Returns:
        `true` or `false`.

    - #### hashCode

          public int hashCode()

      Returns a hash code for this instance.
      Overrides:
        `hashCode` in class `java.lang.Object`
      Returns:
        A hash code.